<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AnimableValue Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#280f34861f78ae0f9560ce6d49bd2346">AnimableValue</a>(ValueType t)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#0077811577a67da9e17fe0582eddf9d0">applyDeltaValue</a>(int)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#87058d1fc51ccbdeeb7d265d3bc6118a">applyDeltaValue</a>(Real)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#59283e8287fd1e9dc82c02f843809407">applyDeltaValue</a>(const Vector2 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#bb5b33797a6afb9fedbbc12a83c2201e">applyDeltaValue</a>(const Vector3 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#4fe4b177fb24522f3e1325a6e8daab62">applyDeltaValue</a>(const Vector4 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#7db4121de1ba46cbf27fb9d8a0365cf2">applyDeltaValue</a>(const Quaternion &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#d131854d6fc1551de763ea93634d618c">applyDeltaValue</a>(const ColourValue &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#662bf10183dd75b2786eb4343c63db8c">applyDeltaValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69019d638a0420937709b0ca4ded01a57e">COLOUR</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#801dea01990f3cb16def8185159a9e55">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69f2f0a37077706342371d65539e56b295">INT</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#d8012b223d250f482cd3200ed450a36a">mBaseValueInt</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#4e26a76b98c42eda570e551322aff11d">mBaseValueReal</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a3a3dfd661bd4fe6c7a64d12a1f99e25">mType</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69c56bb2149a2092c3a3d834c6def9571a">QUATERNION</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d693062c18887fcc426f17c19d786edeaef">REAL</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#e544d029ad24ed12090d5ecbb2202ce8">resetToBaseValue</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#acef098935627873fd41f7b3bd37d3cf">setAsBaseValue</a>(int val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#591cf1fe6aea2bb616b2fb33aa9d89eb">setAsBaseValue</a>(Real val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#4d7deaff8c80d30847824641a1379795">setAsBaseValue</a>(const Vector2 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#79e47a48705265f9d68da37c135d8e07">setAsBaseValue</a>(const Vector3 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#d8b0a714cd9e968c50aba63e073a178e">setAsBaseValue</a>(const Vector4 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#db6ffb64834d5c87d4f700cd49d8187c">setAsBaseValue</a>(const Quaternion &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#7e9f1daae0fe81ef3bc537673dedcdbb">setAsBaseValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#27a8718feccb76cfe4d541a336bfb6a8">setAsBaseValue</a>(const ColourValue &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#b3198ebe772d4ffeac4f5656420b3a3f">setCurrentStateAsBaseValue</a>(void)=0</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#7bf19d59335bc397010e009eaf593288">setValue</a>(int)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#950b8bf6bd5090aa8717215dcba68877">setValue</a>(Real)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#4b0159d919981f3e5f6c69461bda725f">setValue</a>(const Vector2 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#8beaf446718c7169fd6e8580b5a0fa4e">setValue</a>(const Vector3 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#8d6e93903faee8c7a0e557e4852111f9">setValue</a>(const Vector4 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#61de4fd8eca078570639cb200178a40d">setValue</a>(const Quaternion &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#39c32d892f553e9aa1f45091edabeb74">setValue</a>(const ColourValue &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#c9f25ae01ac3b9cec80df9e7e930bac9">setValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a> enum name</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d6931cb7b9505f0707baee335b0b200a135">VECTOR2</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d694f77f4de37ff20785d425d00dde7864a">VECTOR3</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d698c429058bd40804133f32ee95337f05b">VECTOR4</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#89c0b065a5d1a3398e2663713bdf5007">~AnimableValue</a>()</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
